javax.media.j3d

## Class WakeupOnViewPlatformExit

- java.lang.Object
- - javax.media.j3d.WakeupCondition
  - - javax.media.j3d.WakeupCriterion
    - - javax.media.j3d.WakeupOnViewPlatformExit

    public final class WakeupOnViewPlatformExit
    extends WakeupCriterion

Class specifying a wakeup when an active ViewPlatform no longer intersects the specified boundary.

### Constructor Summary

Constructors
Constructor and Description
`WakeupOnViewPlatformExit(Bounds region)` Constructs a new WakeupOnExit criterion.

### Method Summary

Methods
`Bounds` `getBounds()` Returns this object's bounds specification
`ViewPlatform` `getTriggeringViewPlatform()` Retrieves the ViewPlatform node that caused the wakeup.

### Methods inherited from class javax.media.j3d.WakeupCriterion

`hasTriggered`

### Methods inherited from class javax.media.j3d.WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WakeupOnViewPlatformExit

    public WakeupOnViewPlatformExit(Bounds region)

Constructs a new WakeupOnExit criterion.

Parameters:
  `region` - the region that will trigger a wakeup if a ViewPlatform no longer intersects.

### Method Detail

#### getBounds

    public Bounds getBounds()

Returns this object's bounds specification

Returns:
  the bounds used in constructing this WakeupCriterion.

#### getTriggeringViewPlatform

    public ViewPlatform getTriggeringViewPlatform()

Retrieves the ViewPlatform node that caused the wakeup.

Returns:
  the triggering ViewPlatform node
Throws:
  `java.lang.IllegalStateException` - if not called from within a behavior's processStimulus method that was awoken by a view platform exit.
Since:
  Java 3D 1.3